Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.server.spi.component
Class ResourceComponentInjector

    java.lang.Object
      com.sun.jersey.server.spi.component.ResourceComponentInjector

    public final class ResourceComponentInjector

extends java.lang.Object

An injector that injects onto properties of a resource. Analysis of the class will be performed using reflection to find `Injectable` instances and as a result the use of reflection is minimized when performing injection.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ResourceComponentInjector(InjectableProviderContext ipc, ComponentScope s, AbstractResource resource)` Create a new resource component injector.

Method Summary
`void` | `inject(HttpContext c, java.lang.Object o)` Inject onto an instance of a resource class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceComponentInjector

    public ResourceComponentInjector(InjectableProviderContext ipc,
                                     ComponentScope s,
                                     AbstractResource resource)

  Create a new resource component injector.

  Parameters:
    `ipc` - the injectable provider context to obtain injectables.
    `s` - the scope underwhich injection will be performed.
    `resource` - the abstract resource model.

Method Detail

### inject

    public void inject(HttpContext c,
                       java.lang.Object o)

  Inject onto an instance of a resource class.

  Parameters:
    `c` - the HTTP context, may be set to null if not available for the current scope.
    `o` - the resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.